/[gentoo-x86]/dev-python/PyQt4/ChangeLog
Gentoo

Diff of /dev-python/PyQt4/ChangeLog

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.109 Revision 1.268
1# ChangeLog for dev-python/PyQt4 1# ChangeLog for dev-python/PyQt4
2# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2 2# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
3# $Header: /var/cvsroot/gentoo-x86/dev-python/PyQt4/ChangeLog,v 1.109 2010/02/16 06:47:45 abcd Exp $ 3# $Header: /var/cvsroot/gentoo-x86/dev-python/PyQt4/ChangeLog,v 1.268 2014/09/20 20:05:06 pesa Exp $
4
5*PyQt4-4.11.2 (20 Sep 2014)
6
7 20 Sep 2014; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.11.2.ebuild,
8 PyQt4-4.11.1.ebuild:
9 Version bump. Silence harmless repoman warning.
10
11 13 Sep 2014; Davide Pesavento <pesa@gentoo.org> PyQt4-4.11.1.ebuild:
12 Drop deprecated python versions.
13
14 13 Sep 2014; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.10.3-r3.ebuild,
15 PyQt4-4.11.1.ebuild:
16 Stop using dohtml, remove old.
17
18 17 Jul 2014; Michael Palimaka <kensington@gentoo.org> -PyQt4-4.11.ebuild:
19 Remove old.
20
21*PyQt4-4.11.1 (15 Jul 2014)
22
23 15 Jul 2014; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.11.1.ebuild,
24 PyQt4-4.11.ebuild:
25 Version bump.
26
27 20 Jun 2014; Ian Delaney <idella4@gentoo.org> PyQt4-4.10.3-r3.ebuild,
28 PyQt4-4.11.ebuild:
29 add py3.4 support req'd to support py packages such as pandas
30
31 30 May 2014; Davide Pesavento <pesa@gentoo.org> PyQt4-4.10.3-r2.ebuild,
32 PyQt4-4.10.3-r3.ebuild:
33 Restrict sip dep to =4.15* for older PyQt4 versions.
34
35*PyQt4-4.11 (30 May 2014)
36
37 30 May 2014; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.11.ebuild:
38 Version bump.
39
40 21 May 2014; Davide Pesavento <pesa@gentoo.org> PyQt4-4.10.3-r2.ebuild,
41 PyQt4-4.10.3-r3.ebuild, metadata.xml:
42 Update pypi identifier in HOMEPAGE and <upstream> metadata tag. Thanks to
43 Martin Walch in bug 510812.
44
45 19 May 2014; Michał Górny <mgorny@gentoo.org> -PyQt4-4.10.2.ebuild,
46 -PyQt4-4.10.3.ebuild:
47 Drop the old versions that required python-exec:0.
48
49 02 Apr 2014; Michael Palimaka <kensington@gentoo.org> metadata.xml:
50 Remove python herd as discussed with them.
51
52*PyQt4-4.10.3-r3 (27 Mar 2014)
53
54 27 Mar 2014; Michał Górny <mgorny@gentoo.org> +PyQt4-4.10.3-r3.ebuild:
55 Replace manual Python wrapping with proper eclass functions, bug #484404.
56
57 23 Mar 2014; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.3-r2.ebuild:
58 Stable for sparc, wrt bug #495638
59
60 23 Mar 2014; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.3-r2.ebuild:
61 Stable for x86, wrt bug #495638
62
63 19 Mar 2014; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.3-r2.ebuild:
64 Stable for alpha, wrt bug #495638
65
66 18 Mar 2014; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.3-r2.ebuild:
67 Stable for ia64, wrt bug #495638
68
69 14 Mar 2014; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.3-r2.ebuild:
70 Stable for ppc64, wrt bug #495638
71
72 08 Mar 2014; Pacho Ramos <pacho@gentoo.org> PyQt4-4.10.3-r2.ebuild:
73 amd64 stable, bug 495638
74
75 02 Feb 2014; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.3-r2.ebuild:
76 Stable for ppc, wrt bug #495638
77
78 30 Jan 2014; Markus Meier <maekke@gentoo.org> PyQt4-4.10.3-r2.ebuild:
79 arm stable, bug #495638
80
81 28 Dec 2013; Steve Arnold <nerdboy@gentoo.org>
82 files/PyQt4-4.7.3-qreal_float_support.patch:
83 Updated qreal_float patch to remove first hunk (already applied
84 upstream). Tested on arm chromebook; no existing bug.
85
86*PyQt4-4.10.3-r2 (25 Dec 2013)
87
88 25 Dec 2013; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.10.3-r2.ebuild,
89 -PyQt4-4.10.3-r1.ebuild, metadata.xml:
90 Introduce USE="designer".
91
92 25 Dec 2013; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.9.6-r2.ebuild:
93 old
94
95 23 Dec 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.2.ebuild:
96 Stable for sparc, wrt bug #483112
97
98 31 Oct 2013; Michał Górny <mgorny@gentoo.org> PyQt4-4.10.2.ebuild,
99 PyQt4-4.10.3-r1.ebuild, PyQt4-4.10.3.ebuild, PyQt4-4.9.6-r2.ebuild:
100 Update the ebuilds to dep on dev-lang/python-exec.
101
102 23 Oct 2013; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.10.1.ebuild:
103 old
104
105*PyQt4-4.10.3-r1 (23 Oct 2013)
106
107 23 Oct 2013; Michał Górny <mgorny@gentoo.org> +PyQt4-4.10.3-r1.ebuild:
108 Support python-exec:2.
109
110 19 Sep 2013; Ben de Groot <yngwin@gentoo.org> PyQt4-4.10.3.ebuild:
111 Depend on sip >=4.15.0 to fix build failure (bug #485274)
112
113 17 Sep 2013; Michał Górny <mgorny@gentoo.org> PyQt4-4.10.1.ebuild,
114 PyQt4-4.10.2.ebuild, PyQt4-4.10.3.ebuild, PyQt4-4.9.6-r2.ebuild:
115 Add explicit dep on python-exec:0 since the package wraps the script manually.
116
117*PyQt4-4.10.3 (17 Sep 2013)
118
119 17 Sep 2013; Ben de Groot <yngwin@gentoo.org> +PyQt4-4.10.3.ebuild:
120 Version bump
121
122 13 Sep 2013; Jonathan Callen <jcallen@gentoo.org> PyQt4-4.10.1.ebuild,
123 PyQt4-4.10.2.ebuild, PyQt4-4.9.6-r2.ebuild:
124 Add missing [${PYTHON_USEDEP}] on dbus-python DEPEND
125
126 10 Sep 2013; Markus Meier <maekke@gentoo.org> PyQt4-4.10.2.ebuild:
127 arm stable, bug #483112
128
129 05 Sep 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.2.ebuild:
130 Stable for x86, wrt bug #483112
131
132 05 Sep 2013; Michał Górny <mgorny@gentoo.org> PyQt4-4.10.1.ebuild,
133 PyQt4-4.10.2.ebuild, PyQt4-4.9.6-r2.ebuild:
134 Clean up PYTHON_COMPAT from old implementations.
135
136 05 Sep 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.2.ebuild:
137 Stable for ppc64, wrt bug #483112
138
139 04 Sep 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.2.ebuild:
140 Stable for ppc, wrt bug #483112
141
142 03 Sep 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.2.ebuild:
143 Stable for ia64, wrt bug #483112
144
145 02 Sep 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.2.ebuild:
146 Stable for alpha, wrt bug #483112
147
148 31 Aug 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.2.ebuild:
149 Stable for amd64, wrt bug #483112
150
151 22 Jul 2013; Michael Palimaka <kensington@gentoo.org> PyQt4-4.10.1.ebuild,
152 PyQt4-4.10.2.ebuild, PyQt4-4.9.6-r2.ebuild:
153 Reorder Qt dependencies.
154
155 10 Jul 2013; Patrick Lauer <patrick@gentoo.org> PyQt4-4.10.1.ebuild,
156 PyQt4-4.10.2.ebuild, PyQt4-4.9.6-r2.ebuild:
157 Fixing qtgui/designer deps for qt-4.8.5
158
159 10 Jul 2013; Patrick Lauer <patrick@gentoo.org> PyQt4-4.10.1.ebuild,
160 PyQt4-4.9.6-r2.ebuild:
161 Fixing qtgui deps for qt-4.8.5
162
163 08 Jul 2013; Davide Pesavento <pesa@gentoo.org> PyQt4-4.10.2.ebuild:
164 Remove wrong usedep for qtgui.
165
166*PyQt4-4.10.2 (24 Jun 2013)
167
168 24 Jun 2013; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.10.2.ebuild:
169 Version bump.
170
171 24 Jun 2013; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.10.ebuild,
172 PyQt4-4.10.1.ebuild:
173 Add PYTHON_REQUIRED_USE. Remove old.
174
175*PyQt4-4.10.1 (22 May 2013)
176
177 22 May 2013; Michael Palimaka <kensington@gentoo.org> +PyQt4-4.10.1.ebuild:
178 Version bump.
179
180 10 May 2013; Patrick Lauer <patrick@gentoo.org> metadata.xml:
181 Remove unused flag description from metadata
182
183 04 May 2013; Markos Chandras <hwoarang@gentoo.org> -PyQt4-4.9.4-r1.ebuild,
184 -files/PyQt4-4.7.2-configure.py.patch,
185 -files/PyQt4-4.9.4-pyuic-custom-widgets.patch:
186 old
187
188*PyQt4-4.10 (12 Mar 2013)
189
190 12 Mar 2013; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.10.ebuild:
191 Version bump. Fix also bug #433944 by Franz Fellner.
192
193 11 Mar 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.6-r2.ebuild:
194 Stable for sparc, wrt bug #457046
195
196 03 Mar 2013; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.9.4-r1.ebuild,
197 PyQt4-4.9.6-r2.ebuild:
198 Move Qt dependencies to the new category
199
200 21 Feb 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.6-r2.ebuild:
201 Stable for ia64, wrt bug #457046
202
203 18 Feb 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.6-r2.ebuild:
204 Stable for ppc64, wrt bug #457046
205
206 18 Feb 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.6-r2.ebuild:
207 Stable for ppc, wrt bug #457046
208
209 15 Feb 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.6-r2.ebuild:
210 Stable for alpha, wrt bug #457046
211
212 15 Feb 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.6-r2.ebuild:
213 Stable for arm, wrt bug #457046
214
215 15 Feb 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.6-r2.ebuild:
216 Stable for x86, wrt bug #457046
217
218 15 Feb 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.6-r2.ebuild:
219 Stable for amd64, wrt bug #457046
220
221 15 Feb 2013; Davide Pesavento <pesa@gentoo.org> PyQt4-4.9.6-r2.ebuild:
222 BUILDDIR -> BUILD_DIR, fixes bug 457538 by ago.
223
224 13 Feb 2013; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.9.6-r1.ebuild,
225 -PyQt4-4.9.6.ebuild, PyQt4-4.9.6-r2.ebuild:
226 Fix double prefix; remove old.
227
228 04 Feb 2013; Michael Palimaka <kensington@gentoo.org> PyQt4-4.9.6-r2.ebuild:
229 Use run_in_build_dir. Add python-3.3 support wrt bug #455020.
230
231*PyQt4-4.9.6-r2 (29 Jan 2013)
232
233 29 Jan 2013; Michael Palimaka <kensington@gentoo.org> +PyQt4-4.9.6-r2.ebuild:
234 Migrate to the new python eclass.
235
236 27 Dec 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.9.6-r1.ebuild:
237 Improve pyqt4_use_enable() as suggested by Arfrever.
238
239 26 Dec 2012; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.9.5.ebuild:
240 old
241
242*PyQt4-4.9.6-r1 (26 Dec 2012)
243
244 26 Dec 2012; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.9.6-r1.ebuild,
245 metadata.xml:
246 EAPI=5 to be able to use slot operators in sip dependency. Sync USE flags with
247 pyside: rename assistant to help, add script and scripttools (bug 431460 by
248 Arfrever).
249
250*PyQt4-4.9.6 (10 Dec 2012)
251
252 10 Dec 2012; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.9.6.ebuild:
253 Version bump, with some minor updates from qt overlay.
254
255 22 Nov 2012; Markus Meier <maekke@gentoo.org> PyQt4-4.9.4-r1.ebuild:
256 arm stable, bug #435074
257
258 28 Oct 2012; Markos Chandras <hwoarang@gentoo.org> -PyQt4-4.9.4.ebuild,
259 PyQt4-4.9.4-r1.ebuild:
260 Promote 4.9.4-r1 bugfix rel ebuild to stable. Drop old
261
262 28 Oct 2012; Markos Chandras <hwoarang@gentoo.org> -PyQt4-4.8.4.ebuild,
263 -PyQt4-4.9.1.ebuild:
264 Remove old
265
266*PyQt4-4.9.5 (05 Oct 2012)
267
268 05 Oct 2012; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.9.5.ebuild:
269 Version bump
270
271 09 Sep 2012; Raúl Porcel <armin76@gentoo.org> PyQt4-4.9.4.ebuild:
272 alpha/ia64/sparc stable wrt #429042
273
274*PyQt4-4.9.4-r1 (03 Sep 2012)
275
276 03 Sep 2012; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.9.4-r1.ebuild,
277 +files/PyQt4-4.9.4-pyuic-custom-widgets.patch:
278 Apply upstream patch to fix regression in pyuic's handling of custom widgets
279 (bug 431070 by Laurent Bachelier).
280
281 20 Aug 2012; Johannes Huber <johu@gentoo.org> PyQt4-4.9.4.ebuild:
282 Stable for x86, wrt bug #429042
283
284 11 Aug 2012; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.4.ebuild:
285 Stable for amd64, wrt bug #429042
286
287 11 Aug 2012; Anthony G. Basile <blueness@gentoo.org> PyQt4-4.9.4.ebuild:
288 Stable ppc64, bug #429042
289
290 10 Aug 2012; Anthony G. Basile <blueness@gentoo.org> PyQt4-4.9.4.ebuild:
291 Stable ppc, bug #429042
292
293 09 Jul 2012; Raúl Porcel <armin76@gentoo.org> PyQt4-4.9.1.ebuild:
294 ia64 stable
295
296 09 Jul 2012; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.8.1.ebuild,
297 -files/PyQt4-4.6.1-configure-multilib.patch:
298 Remove old.
299
300 08 Jul 2012; Raúl Porcel <armin76@gentoo.org> PyQt4-4.9.1.ebuild,
301 PyQt4-4.9.4.ebuild:
302 alpha/ia64/sparc stable wrt #412929
303
304*PyQt4-4.9.4 (02 Jul 2012)
305
306 02 Jul 2012; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.9.4.ebuild,
307 -PyQt4-4.9.3.ebuild:
308 Version bump.
309
310*PyQt4-4.9.3 (27 Jun 2012)
311
312 27 Jun 2012; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.9.3.ebuild,
313 -PyQt4-4.9.2.ebuild:
314 Version bump.
315
316 23 Jun 2012; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.9.2.ebuild:
317 Raise dev-python/sip dependency to 4.13.3 thanks to Arfrever
318
319*PyQt4-4.9.2 (21 Jun 2012)
320
321 21 Jun 2012; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.9.2.ebuild:
322 Version bump
323
324 14 Jun 2012; Ben de Groot <yngwin@gentoo.org> PyQt4-4.8.1.ebuild:
325 Destabling to ~ia64 because last available stable qt will be masked pending
326 removal
327
328 23 May 2012; Jeff Horelick <jdhore@gentoo.org> PyQt4-4.9.1.ebuild:
329 marked x86 per bug 412929
330
331 21 May 2012; Mike Gilbert <floppym@gentoo.org> PyQt4-4.8.1.ebuild,
332 PyQt4-4.8.4.ebuild, PyQt4-4.9.1.ebuild:
333 Inherit eutils.
334
335 16 May 2012; Mike Gilbert <floppym@gentoo.org> PyQt4-4.8.1.ebuild,
336 PyQt4-4.8.4.ebuild, PyQt4-4.9.1.ebuild:
337 Revert previous change.
338
339 16 May 2012; Mike Gilbert <floppym@gentoo.org> PyQt4-4.8.1.ebuild,
340 PyQt4-4.8.4.ebuild, PyQt4-4.9.1.ebuild:
341 Restrict python 3.1 to match dev-python/dbus-python.
342
343 13 May 2012; Davide Pesavento <pesa@gentoo.org> metadata.xml:
344 Fix kde USE flag description (media-libs/phonon vs. media-sound/phonon).
345
346 04 May 2012; Patrick Lauer <patrick@gentoo.org> PyQt4-4.9.1.ebuild:
347 Migrating dev-util/pkgconfig -> virtual/pkgconfig
348
349 24 Apr 2012; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.1.ebuild:
350 Stable for amd64, wrt bug #412929
351
352 31 Mar 2012; Tobias Klausmann <klausman@gentoo.org> PyQt4-4.8.4.ebuild:
353 Stable on alpha, bug #354033
354
355 07 Mar 2012; Andreas K. Huettel <dilfridge@gentoo.org> PyQt4-4.8.1.ebuild,
356 PyQt4-4.8.4.ebuild:
357 PyQt4-4.8 does not build with sip-4.13, bug 407291
358
359 07 Mar 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.9.1.ebuild:
360 Slightly improve the ewarn message in pkg_postinst().
361
362 07 Mar 2012; Davide Pesavento <pesa@gentoo.org> metadata.xml:
363 Put qt as the primary herd in metadata.
364
365 07 Mar 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.8.4.ebuild:
366 Fix insecure RUNPATH in qpy/QtOpenGL, thanks to Steve L
367 <slong@rathaus.eclipse.co.uk> in bug #407281.
368
369 03 Mar 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.9.1.ebuild:
370 Switch to EAPI 4, add REQUIRED_USE.
371
372 02 Mar 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.8.1.ebuild,
373 PyQt4-4.8.4.ebuild:
374 Drop ~x86-fbsd because of unkeyworded dependencies.
375
376 02 Mar 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.9.1.ebuild:
377 Don't enable QtAssistant module because it was removed in qt-4.7 and we
378 already depend on 4.7.2 or later.
379
380 21 Feb 2012; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.7.3.ebuild,
381 PyQt4-4.8.1.ebuild, PyQt4-4.8.4.ebuild:
382 Restrict pypy for older versions too.
383
384 21 Feb 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.9.1.ebuild:
385 Build QtTest module only with USE="X" because it needs QtGui (bug #348349).
386 Add build-time dep on pkgconfig with USE="dbus". Raise minimum required Qt
387 version.
388
389 20 Feb 2012; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.7.7-r1.ebuild,
390 -PyQt4-4.8.1-r1.ebuild, -PyQt4-4.8.2.ebuild, -PyQt4-4.8.3.ebuild,
391 -PyQt4-4.8.5.ebuild, -PyQt4-4.8.6.ebuild, -PyQt4-4.9.ebuild,
392 -files/PyQt4-4.7.7-fix-scpk-and-flag-issue.diff,
393 -files/PyQt4-4.8.3-configure-multilib.patch, metadata.xml:
394 Add <upstream> tag to metadata. Cleanup old ebuilds and patches.
395
396 20 Feb 2012; Patrick Lauer <patrick@gentoo.org> PyQt4-4.7.3.ebuild,
397 PyQt4-4.7.7-r1.ebuild, PyQt4-4.8.1-r1.ebuild, PyQt4-4.8.1.ebuild,
398 PyQt4-4.8.2.ebuild, PyQt4-4.8.3.ebuild, PyQt4-4.8.4.ebuild,
399 PyQt4-4.8.5.ebuild, PyQt4-4.8.6.ebuild, PyQt4-4.9.1.ebuild, PyQt4-4.9.ebuild:
400 Fixing pypy restricts to actually work
401
402*PyQt4-4.9.1 (12 Feb 2012)
403
404 12 Feb 2012; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.9.1.ebuild:
405 version bump
406
407 25 Jan 2012; Alex Alexander <wired@gentoo.org> PyQt4-4.9.ebuild:
408 builds with qt-opengl-4.8.0[egl], updated dep
409
410 27 Dec 2011; Maxim Koltsov <maksbotan@gentoo.org> PyQt4-4.9.ebuild:
411 Enable versioning of /usr/bin/pyuic4. Run eqmake4() in qpy/QtDBus directory.
412 Fixes backported from Progress Overlay. Patch by Arfrever.
413
414*PyQt4-4.9 (24 Dec 2011)
415
416 24 Dec 2011; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.9.ebuild:
417 Version bump
418
419*PyQt4-4.8.6 (11 Nov 2011)
420
421 11 Nov 2011; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.8.6.ebuild:
422 Version bump
423
424 24 Aug 2011; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.8.5.ebuild:
425 Restrict PyPy ABIs. Avoid warnings about insecure runpaths (bug #376483).
426 Print useful warning in pkg_postinst(). Patch by Arfrever. Backported from
427 python overlay.
428
429*PyQt4-4.8.5 (19 Aug 2011)
430
431 19 Aug 2011; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.8.5.ebuild:
432 Version bump
433
434 25 Jul 2011; Kacper Kowalik <xarthisius@gentoo.org> PyQt4-4.8.4.ebuild:
435 ppc/ppc64 stable wrt #374591
436
437 21 Jul 2011; Markus Meier <maekke@gentoo.org> PyQt4-4.8.4.ebuild:
438 x86 stable, bug #374591
439
440 13 Jul 2011; Kacper Kowalik <xarthisius@gentoo.org> PyQt4-4.8.3.ebuild:
441 ppc64 stable wrt #354033
442
443 10 Jul 2011; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.8.4.ebuild:
444 Stable on amd64 wrt bug #374591
445
446 01 Jun 2011; Brent Baude <ranger@gentoo.org> PyQt4-4.8.3.ebuild:
447 Marking PyQt4-4.8.3 ppc stable for bug 354033
448
449 09 May 2011; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.8.3.ebuild:
450 Stable on amd64 wrt bug #354033
451
452 09 May 2011; Thomas Kahle <tomka@gentoo.org> PyQt4-4.8.3.ebuild:
453 x86 stable per bug 354033
454
455*PyQt4-4.8.4 (02 May 2011)
456
457 02 May 2011; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
458 +PyQt4-4.8.4.ebuild:
459 Version bump.
460
461 26 Mar 2011; Andreas K. Huettel <dilfridge@gentoo.org> PyQt4-4.7.3.ebuild,
462 PyQt4-4.7.7-r1.ebuild, PyQt4-4.8.1.ebuild, PyQt4-4.8.1-r1.ebuild,
463 PyQt4-4.8.2.ebuild, PyQt4-4.8.3.ebuild:
464 Adapt phonon dependency for package move
465
466 16 Mar 2011; Kacper Kowalik <xarthisius@gentoo.org> PyQt4-4.8.1.ebuild:
467 ppc64 stable wrt #349607
468
469 27 Feb 2011; Raúl Porcel <armin76@gentoo.org> PyQt4-4.8.1.ebuild:
470 ia64/sparc stable wrt #349607
471
472 27 Feb 2011; Tobias Klausmann <klausman@gentoo.org> PyQt4-4.8.1.ebuild:
473 Stable on alpha, bug #349607
474
475 28 Jan 2011; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
476 PyQt4-4.8.3.ebuild:
477 Update dependencies (bug #353053).
478
479*PyQt4-4.8.3 (25 Jan 2011)
480
481 25 Jan 2011; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
482 +PyQt4-4.8.3.ebuild, +files/PyQt4-4.8.3-configure-multilib.patch:
483 Version bump.
484
485 16 Jan 2011; Pawel Hajdan jr <phajdan.jr@gentoo.org> PyQt4-4.8.1.ebuild:
486 x86 stable wrt bug #349607
487
488 07 Jan 2011; Brent Baude <ranger@gentoo.org> PyQt4-4.8.1.ebuild:
489 Marking PyQt4-4.8.1 ppc stable for bug 349607
490
491 04 Jan 2011; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.8.1.ebuild:
492 Stable on amd64 wrt bug #349607
493
494 30 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
495 PyQt4-4.8.1.ebuild, PyQt4-4.8.1-r1.ebuild, PyQt4-4.8.2.ebuild:
496 Require x11-libs/qt-opengl[-egl] until bug #344513 is fixed.
497
498*PyQt4-4.8.1-r1 (30 Dec 2010)
499
500 30 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
501 PyQt4-4.8.1.ebuild, +PyQt4-4.8.1-r1.ebuild:
502 Copy 4.8.1 to 4.8.1-r1. Delete "declarative" USE flag in 4.8.1.
503
504 25 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
505 PyQt4-4.8.2.ebuild:
506 Fix dependencies (bug #349672).
507
508*PyQt4-4.8.2 (24 Dec 2010)
509
510 24 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
511 +PyQt4-4.8.2.ebuild:
512 Version bump.
513
514 19 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
515 PyQt4-4.7.3.ebuild, PyQt4-4.7.7-r1.ebuild, PyQt4-4.8.1.ebuild:
516 Restrict Jython ABIs.
517
518 19 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
519 -files/PyQt4-4.5.4-qgraphicslinearlayout-fix.patch,
520 -files/configure-4.6.1.py.patch, -PyQt4-4.6.2.ebuild, -PyQt4-4.8.ebuild,
521 -files/configure.py.patch:
522 Delete.
523
524 06 Dec 2010; Alex Alexander <wired@gentoo.org> -PyQt4-4.5.4-r4.ebuild:
525 old, depends on qt 4.5
526
527 06 Nov 2010; Jeroen Roovers <jer@gentoo.org> PyQt4-4.5.4-r4.ebuild,
528 PyQt4-4.6.2.ebuild, PyQt4-4.7.3.ebuild, PyQt4-4.7.7-r1.ebuild,
529 PyQt4-4.8.ebuild, PyQt4-4.8.1.ebuild:
530 Remove HPPA keywording (bug #239441).
531
532*PyQt4-4.8.1 (30 Oct 2010)
533
534 30 Oct 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
535 +PyQt4-4.8.1.ebuild:
536 Version bump.
537
538 23 Oct 2010; Raúl Porcel <armin76@gentoo.org> PyQt4-4.7.3.ebuild:
539 ia64/sparc stable wrt #315775
540
541*PyQt4-4.8 (23 Oct 2010)
542
543 23 Oct 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
544 -PyQt4-4.7.ebuild, -PyQt4-4.7.5.ebuild, -PyQt4-4.7.7.ebuild,
545 +PyQt4-4.8.ebuild, metadata.xml:
546 Version bump.
547
548*PyQt4-4.7.7-r1 (06 Oct 2010)
549
550 06 Oct 2010; Theo Chatzimichos <tampakrap@gentoo.org>
551 +PyQt4-4.7.7-r1.ebuild, +files/PyQt4-4.7.7-fix-scpk-and-flag-issue.diff:
552 Revision bump, add patch that fixes compilation with PyKDE 4.5.2
553
554*PyQt4-4.7.7 (21 Sep 2010)
555
556 21 Sep 2010; Markos Chandras <hwoarang@gentoo.org> -PyQt4-4.7.6.ebuild,
557 +PyQt4-4.7.7.ebuild:
558 Version bump. Remove old bogus version
559
560 13 Sep 2010; Tobias Klausmann <klausman@gentoo.org> PyQt4-4.7.3.ebuild:
561 Stable on alpha, bug #315775
562
563 13 Sep 2010; Joseph Jezak <josejx@gentoo.org> PyQt4-4.7.3.ebuild:
564 Marked ppc stable for bug #315775.
565
566 10 Sep 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
567 PyQt4-4.7.6.ebuild:
568 Update EAPI. Fix dependencies.
569
570*PyQt4-4.7.6 (08 Sep 2010)
571
572 08 Sep 2010; Markos Chandras <hwoarang@gentoo.org> -PyQt4-4.7.2.ebuild,
573 +PyQt4-4.7.6.ebuild:
574 Version bump. Remove old ebuild
575
576 01 Sep 2010; Markos Chandras <hwoarang@gentoo.org> -PyQt4-4.7.4.ebuild,
577 PyQt4-4.7.5.ebuild:
578 Drop old bogus ebuild. Drop RESTRICT_PYTHON_ABIS from latest ebuild
579
580*PyQt4-4.7.5 (01 Sep 2010)
581
582 01 Sep 2010; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.7.4.ebuild,
583 +PyQt4-4.7.5.ebuild:
584 Version bump
585
586 18 Aug 2010; Jeroen Roovers <jer@gentoo.org> PyQt4-4.7.3.ebuild:
587 Stable for HPPA (bug #315775).
588
589 15 Jul 2010; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.7.4.ebuild:
590 Bump sip dependency to 4.10.3. Fix arm epatch command
591
592*PyQt4-4.7.4 (13 Jul 2010)
593
594 13 Jul 2010; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.7.4.ebuild:
595 Version bump
596
597 05 Jul 2010; Samuli Suominen <ssuominen@gentoo.org> PyQt4-4.7.3.ebuild:
598 ppc64 stable wrt #315775
599
600 16 Jun 2010; Tomas Touceda <chiiph@gentoo.org> PyQt4-4.7.3.ebuild,
601 +files/PyQt4-4.7.3-qreal_float_support.patch:
602 Add patch for qreal/float support in ARM wrt bug 322349
603
604 03 Jun 2010; Pawel Hajdan jr <phajdan.jr@gentoo.org> PyQt4-4.7.3.ebuild:
605 x86 stable wrt bug 315775
606
607 25 May 2010; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.7.3.ebuild:
608 Stable on amd64 wrt bug 315775
609
610 23 Apr 2010; Theo Chatzimichos <tampakrap@gentoo.org> PyQt4-4.7.ebuild,
611 PyQt4-4.7.2.ebuild, PyQt4-4.7.3.ebuild:
612 Fix sip dep in PyQt4 ebuilds
613
614*PyQt4-4.7.3 (17 Apr 2010)
615
616 17 Apr 2010; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.7.3.ebuild:
617 Version bump
618
619 11 Apr 2010; <nixnut@gentoo.org> PyQt4-4.7.ebuild:
620 ppc stable #301105
621
622*PyQt4-4.7.2 (18 Mar 2010)
623
624 18 Mar 2010; Ben de Groot <yngwin@gentoo.org> +PyQt4-4.7.2.ebuild,
625 +files/PyQt4-4.7.2-configure.py.patch:
626 Version bump. ChangeLog is no longer shipped. Update patch.
627
628 03 Mar 2010; Christian Faulhammer <fauli@gentoo.org> PyQt4-4.7.ebuild:
629 stable x86, bug 301105
630
631 02 Mar 2010; Samuli Suominen <ssuominen@gentoo.org> PyQt4-4.7.ebuild:
632 amd64 stable wrt #301105
4 633
5 16 Feb 2010; Jonathan Callen <abcd@gentoo.org> 634 16 Feb 2010; Jonathan Callen <abcd@gentoo.org>
6 -files/PyQt4-4.4.4-qgraphicsproxywidget-avoid-event-callback-loop.patch, 635 -files/PyQt4-4.4.4-qgraphicsproxywidget-avoid-event-callback-loop.patch,
7 -files/fix_license_check.patch: 636 -files/fix_license_check.patch:
8 Drop old patches 637 Drop old patches
444*PyQt4-4.0_beta1 (05 May 2006) 1073*PyQt4-4.0_beta1 (05 May 2006)
445 1074
446 05 May 2006; Caleb Tennis <caleb@gentoo.org> +metadata.xml, 1075 05 May 2006; Caleb Tennis <caleb@gentoo.org> +metadata.xml,
447 +PyQt4-4.0_beta1.ebuild: 1076 +PyQt4-4.0_beta1.ebuild:
448 initial import, from bug #121554 1077 initial import, from bug #121554
449

Legend:
Removed from v.1.109  
changed lines
  Added in v.1.268

  ViewVC Help
Powered by ViewVC 1.1.20